Package org.apache.commons.imaging.icc

## Class IccProfileParser

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.icc.IccProfileParser

-     public class IccProfileParser
      extends BinaryFileParser

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IccProfileParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IccProfileInfo` | `getICCProfileInfo​(byte[] bytes)` |
    `IccProfileInfo` | `getICCProfileInfo​(ICC_Profile iccProfile)` |
    `IccProfileInfo` | `getICCProfileInfo​(File file)` |
    `IccProfileInfo` | `getICCProfileInfo​(ByteSource byteSource)` |
    `boolean` | `issRGB​(byte[] bytes)` |
    `boolean` | `issRGB​(ICC_Profile iccProfile)` |
    `boolean` | `issRGB​(File file)` |
    `boolean` | `issRGB​(ByteSource byteSource)` |

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IccProfileParser

          public IccProfileParser()

  - ### Method Detail

    - #### getICCProfileInfo

          public IccProfileInfo getICCProfileInfo​(ICC_Profile iccProfile)

    - #### getICCProfileInfo

          public IccProfileInfo getICCProfileInfo​(byte[] bytes)

    - #### getICCProfileInfo

          public IccProfileInfo getICCProfileInfo​(File file)

    - #### getICCProfileInfo

          public IccProfileInfo getICCProfileInfo​(ByteSource byteSource)

    - #### issRGB

          public boolean issRGB​(ICC_Profile iccProfile)
                         throws IOException

      Throws:
        `IOException`

    - #### issRGB

          public boolean issRGB​(byte[] bytes)
                         throws IOException

      Throws:
        `IOException`

    - #### issRGB

          public boolean issRGB​(File file)
                         throws IOException

      Throws:
        `IOException`

    - #### issRGB

          public boolean issRGB​(ByteSource byteSource)
                         throws IOException

      Throws:
        `IOException`